This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258025 - [abrt] freerdp: fatal_handler(): xfreerdp killed by SIGSEGV
[abrt] freerdp: fatal_handler(): xfreerdp killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e837d0a4c64b069f1c34f5c0fba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 12:48 EDT by Enrique Meléndez
Modified: 2016-07-19 13:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.79 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: build_ids (1.48 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: cgroup (177 bytes, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: core_backtrace (13.83 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: dso_list (3.24 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: environ (1.93 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: maps (10.17 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: mountinfo (2.83 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: open_fds (1.86 KB, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: proc_pid_status (871 bytes, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details
File: var_log_messages (249 bytes, text/plain)
2015-08-28 12:48 EDT, Enrique Meléndez
no flags Details

  None (edit)
Description Enrique Meléndez 2015-08-28 12:48:22 EDT
Description of problem:
Just making a remote desktop over the LAN, the program rashd. I was able to reconnect again with no issues then.

First time it happens

Version-Release number of selected component:
freerdp-1.2.0-0.9.git.24a752a.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        xfreerdp -decorations /w:1024 /h:768 /kbd:0x0000040A /u:E /parent-window:85983353 /bpp:24 /audio-mode:2 /drive:media /media /network:lan /rfx /cert-ignore +clipboard /port:3389 /v:gauss /p:*
crash_function: fatal_handler
executable:     /usr/bin/xfreerdp
global_pid:     12140
kernel:         4.1.5-200.fc22.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 fatal_handler at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/utils/signal.c:68
 #4 _wcslen at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/crt/string.c:110
 #5 cliprdr_process_format_list at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_format.c:144
 #6 cliprdr_order_recv at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:363
 #7 cliprdr_virtual_channel_client_thread at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:778
 #8 thread_launcher at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/thread/thread.c:257
Comment 1 Enrique Meléndez 2015-08-28 12:48:26 EDT
Created attachment 1068075 [details]
File: backtrace
Comment 2 Enrique Meléndez 2015-08-28 12:48:28 EDT
Created attachment 1068076 [details]
File: build_ids
Comment 3 Enrique Meléndez 2015-08-28 12:48:30 EDT
Created attachment 1068077 [details]
File: cgroup
Comment 4 Enrique Meléndez 2015-08-28 12:48:31 EDT
Created attachment 1068078 [details]
File: core_backtrace
Comment 5 Enrique Meléndez 2015-08-28 12:48:33 EDT
Created attachment 1068079 [details]
File: dso_list
Comment 6 Enrique Meléndez 2015-08-28 12:48:34 EDT
Created attachment 1068080 [details]
File: environ
Comment 7 Enrique Meléndez 2015-08-28 12:48:35 EDT
Created attachment 1068081 [details]
File: limits
Comment 8 Enrique Meléndez 2015-08-28 12:48:36 EDT
Created attachment 1068082 [details]
File: maps
Comment 9 Enrique Meléndez 2015-08-28 12:48:37 EDT
Created attachment 1068083 [details]
File: mountinfo
Comment 10 Enrique Meléndez 2015-08-28 12:48:38 EDT
Created attachment 1068084 [details]
File: namespaces
Comment 11 Enrique Meléndez 2015-08-28 12:48:39 EDT
Created attachment 1068085 [details]
File: open_fds
Comment 12 Enrique Meléndez 2015-08-28 12:48:40 EDT
Created attachment 1068086 [details]
File: proc_pid_status
Comment 13 Enrique Meléndez 2015-08-28 12:48:42 EDT
Created attachment 1068087 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-07-19 13:42:18 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.